unit schHistoricoMovimientosClient_Intf;

interface

uses
  Classes, DB, schBase_Intf, SysUtils, uROClasses, uDADataTable, FmtBCD, uROXMLIntf;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_HistoricoMovimientos = '{78F8AAD8-7791-4695-84E0-778DD741063E}';

  { Data table names }
  nme_HistoricoMovimientos = 'HistoricoMovimientos';

  { HistoricoMovimientos fields }
  fld_HistoricoMovimientosFECHA = 'FECHA';
  fld_HistoricoMovimientosID_ALMACEN = 'ID_ALMACEN';
  fld_HistoricoMovimientosID_EMPRESA = 'ID_EMPRESA';
  fld_HistoricoMovimientosNOMBRE_ALMACEN = 'NOMBRE_ALMACEN';
  fld_HistoricoMovimientosID_ARTICULO = 'ID_ARTICULO';
  fld_HistoricoMovimientosFAMILIA = 'FAMILIA';
  fld_HistoricoMovimientosREFERENCIA = 'REFERENCIA';
  fld_HistoricoMovimientosREFERENCIA_PROV = 'REFERENCIA_PROV';
  fld_HistoricoMovimientosDESCRIPCION = 'DESCRIPCION';
  fld_HistoricoMovimientosTIPO_MOVIMIENTO = 'TIPO_MOVIMIENTO';
  fld_HistoricoMovimientosCANTIDAD = 'CANTIDAD';
  fld_HistoricoMovimientosCAUSA = 'CAUSA';

  { HistoricoMovimientos field indexes }
  idx_HistoricoMovimientosFECHA = 0;
  idx_HistoricoMovimientosID_ALMACEN = 1;
  idx_HistoricoMovimientosID_EMPRESA = 2;
  idx_HistoricoMovimientosNOMBRE_ALMACEN = 3;
  idx_HistoricoMovimientosID_ARTICULO = 4;
  idx_HistoricoMovimientosFAMILIA = 5;
  idx_HistoricoMovimientosREFERENCIA = 6;
  idx_HistoricoMovimientosREFERENCIA_PROV = 7;
  idx_HistoricoMovimientosDESCRIPCION = 8;
  idx_HistoricoMovimientosTIPO_MOVIMIENTO = 9;
  idx_HistoricoMovimientosCANTIDAD = 10;
  idx_HistoricoMovimientosCAUSA = 11;

type
  { IHistoricoMovimientos }
  IHistoricoMovimientos = interface(IDAStronglyTypedDataTable)
  ['{13452610-3745-4EF7-9F6D-224ACA695E83}']
    { Property getters and setters }
    function GetFECHAValue: DateTime;
    procedure SetFECHAValue(const aValue: DateTime);
    function GetFECHAIsNull: Boolean;
    procedure SetFECHAIsNull(const aValue: Boolean);
    function GetID_ALMACENValue: Integer;
    procedure SetID_ALMACENValue(const aValue: Integer);
    function GetID_ALMACENIsNull: Boolean;
    procedure SetID_ALMACENIsNull(const aValue: Boolean);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetID_EMPRESAIsNull: Boolean;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean);
    function GetNOMBRE_ALMACENValue: String;
    procedure SetNOMBRE_ALMACENValue(const aValue: String);
    function GetNOMBRE_ALMACENIsNull: Boolean;
    procedure SetNOMBRE_ALMACENIsNull(const aValue: Boolean);
    function GetID_ARTICULOValue: Integer;
    procedure SetID_ARTICULOValue(const aValue: Integer);
    function GetID_ARTICULOIsNull: Boolean;
    procedure SetID_ARTICULOIsNull(const aValue: Boolean);
    function GetFAMILIAValue: String;
    procedure SetFAMILIAValue(const aValue: String);
    function GetFAMILIAIsNull: Boolean;
    procedure SetFAMILIAIsNull(const aValue: Boolean);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetREFERENCIAIsNull: Boolean;
    procedure SetREFERENCIAIsNull(const aValue: Boolean);
    function GetREFERENCIA_PROVValue: String;
    procedure SetREFERENCIA_PROVValue(const aValue: String);
    function GetREFERENCIA_PROVIsNull: Boolean;
    procedure SetREFERENCIA_PROVIsNull(const aValue: Boolean);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetDESCRIPCIONIsNull: Boolean;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean);
    function GetTIPO_MOVIMIENTOValue: String;
    procedure SetTIPO_MOVIMIENTOValue(const aValue: String);
    function GetTIPO_MOVIMIENTOIsNull: Boolean;
    procedure SetTIPO_MOVIMIENTOIsNull(const aValue: Boolean);
    function GetCANTIDADValue: Integer;
    procedure SetCANTIDADValue(const aValue: Integer);
    function GetCANTIDADIsNull: Boolean;
    procedure SetCANTIDADIsNull(const aValue: Boolean);
    function GetCAUSAValue: String;
    procedure SetCAUSAValue(const aValue: String);
    function GetCAUSAIsNull: Boolean;
    procedure SetCAUSAIsNull(const aValue: Boolean);


    { Properties }
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property FECHAIsNull: Boolean read GetFECHAIsNull write SetFECHAIsNull;
    property ID_ALMACEN: Integer read GetID_ALMACENValue write SetID_ALMACENValue;
    property ID_ALMACENIsNull: Boolean read GetID_ALMACENIsNull write SetID_ALMACENIsNull;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull: Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property NOMBRE_ALMACEN: String read GetNOMBRE_ALMACENValue write SetNOMBRE_ALMACENValue;
    property NOMBRE_ALMACENIsNull: Boolean read GetNOMBRE_ALMACENIsNull write SetNOMBRE_ALMACENIsNull;
    property ID_ARTICULO: Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property ID_ARTICULOIsNull: Boolean read GetID_ARTICULOIsNull write SetID_ARTICULOIsNull;
    property FAMILIA: String read GetFAMILIAValue write SetFAMILIAValue;
    property FAMILIAIsNull: Boolean read GetFAMILIAIsNull write SetFAMILIAIsNull;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull: Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property REFERENCIA_PROV: String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property REFERENCIA_PROVIsNull: Boolean read GetREFERENCIA_PROVIsNull write SetREFERENCIA_PROVIsNull;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull: Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property TIPO_MOVIMIENTO: String read GetTIPO_MOVIMIENTOValue write SetTIPO_MOVIMIENTOValue;
    property TIPO_MOVIMIENTOIsNull: Boolean read GetTIPO_MOVIMIENTOIsNull write SetTIPO_MOVIMIENTOIsNull;
    property CANTIDAD: Integer read GetCANTIDADValue write SetCANTIDADValue;
    property CANTIDADIsNull: Boolean read GetCANTIDADIsNull write SetCANTIDADIsNull;
    property CAUSA: String read GetCAUSAValue write SetCAUSAValue;
    property CAUSAIsNull: Boolean read GetCAUSAIsNull write SetCAUSAIsNull;
  end;

  { THistoricoMovimientosDataTableRules }
  THistoricoMovimientosDataTableRules = class(TIntfObjectDADataTableRules, IHistoricoMovimientos)
  private
  protected
    { Property getters and setters }
    function GetFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetFECHAIsNull: Boolean; virtual;
    procedure SetFECHAIsNull(const aValue: Boolean); virtual;
    function GetID_ALMACENValue: Integer; virtual;
    procedure SetID_ALMACENValue(const aValue: Integer); virtual;
    function GetID_ALMACENIsNull: Boolean; virtual;
    procedure SetID_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetNOMBRE_ALMACENValue: String; virtual;
    procedure SetNOMBRE_ALMACENValue(const aValue: String); virtual;
    function GetNOMBRE_ALMACENIsNull: Boolean; virtual;
    procedure SetNOMBRE_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    function GetID_ARTICULOIsNull: Boolean; virtual;
    procedure SetID_ARTICULOIsNull(const aValue: Boolean); virtual;
    function GetFAMILIAValue: String; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    function GetFAMILIAIsNull: Boolean; virtual;
    procedure SetFAMILIAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIA_PROVValue: String; virtual;
    procedure SetREFERENCIA_PROVValue(const aValue: String); virtual;
    function GetREFERENCIA_PROVIsNull: Boolean; virtual;
    procedure SetREFERENCIA_PROVIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetTIPO_MOVIMIENTOValue: String; virtual;
    procedure SetTIPO_MOVIMIENTOValue(const aValue: String); virtual;
    function GetTIPO_MOVIMIENTOIsNull: Boolean; virtual;
    procedure SetTIPO_MOVIMIENTOIsNull(const aValue: Boolean); virtual;
    function GetCANTIDADValue: Integer; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    function GetCANTIDADIsNull: Boolean; virtual;
    procedure SetCANTIDADIsNull(const aValue: Boolean); virtual;
    function GetCAUSAValue: String; virtual;
    procedure SetCAUSAValue(const aValue: String); virtual;
    function GetCAUSAIsNull: Boolean; virtual;
    procedure SetCAUSAIsNull(const aValue: Boolean); virtual;

    { Properties }
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property FECHAIsNull: Boolean read GetFECHAIsNull write SetFECHAIsNull;
    property ID_ALMACEN: Integer read GetID_ALMACENValue write SetID_ALMACENValue;
    property ID_ALMACENIsNull: Boolean read GetID_ALMACENIsNull write SetID_ALMACENIsNull;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull: Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property NOMBRE_ALMACEN: String read GetNOMBRE_ALMACENValue write SetNOMBRE_ALMACENValue;
    property NOMBRE_ALMACENIsNull: Boolean read GetNOMBRE_ALMACENIsNull write SetNOMBRE_ALMACENIsNull;
    property ID_ARTICULO: Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property ID_ARTICULOIsNull: Boolean read GetID_ARTICULOIsNull write SetID_ARTICULOIsNull;
    property FAMILIA: String read GetFAMILIAValue write SetFAMILIAValue;
    property FAMILIAIsNull: Boolean read GetFAMILIAIsNull write SetFAMILIAIsNull;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull: Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property REFERENCIA_PROV: String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property REFERENCIA_PROVIsNull: Boolean read GetREFERENCIA_PROVIsNull write SetREFERENCIA_PROVIsNull;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull: Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property TIPO_MOVIMIENTO: String read GetTIPO_MOVIMIENTOValue write SetTIPO_MOVIMIENTOValue;
    property TIPO_MOVIMIENTOIsNull: Boolean read GetTIPO_MOVIMIENTOIsNull write SetTIPO_MOVIMIENTOIsNull;
    property CANTIDAD: Integer read GetCANTIDADValue write SetCANTIDADValue;
    property CANTIDADIsNull: Boolean read GetCANTIDADIsNull write SetCANTIDADIsNull;
    property CAUSA: String read GetCAUSAValue write SetCAUSAValue;
    property CAUSAIsNull: Boolean read GetCAUSAIsNull write SetCAUSAIsNull;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants, uROBinaryHelpers;

{ THistoricoMovimientosDataTableRules }
constructor THistoricoMovimientosDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor THistoricoMovimientosDataTableRules.Destroy;
begin
  inherited;
end;

function THistoricoMovimientosDataTableRules.GetFECHAValue: DateTime;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosFECHA].AsDateTime;
end;

procedure THistoricoMovimientosDataTableRules.SetFECHAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_HistoricoMovimientosFECHA].AsDateTime := aValue;
end;

function THistoricoMovimientosDataTableRules.GetFECHAIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosFECHA].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetFECHAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosFECHA].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetID_ALMACENValue: Integer;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosID_ALMACEN].AsInteger;
end;

procedure THistoricoMovimientosDataTableRules.SetID_ALMACENValue(const aValue: Integer);
begin
  DataTable.Fields[idx_HistoricoMovimientosID_ALMACEN].AsInteger := aValue;
end;

function THistoricoMovimientosDataTableRules.GetID_ALMACENIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosID_ALMACEN].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetID_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosID_ALMACEN].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosID_EMPRESA].AsInteger;
end;

procedure THistoricoMovimientosDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_HistoricoMovimientosID_EMPRESA].AsInteger := aValue;
end;

function THistoricoMovimientosDataTableRules.GetID_EMPRESAIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosID_EMPRESA].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosID_EMPRESA].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetNOMBRE_ALMACENValue: String;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosNOMBRE_ALMACEN].AsString;
end;

procedure THistoricoMovimientosDataTableRules.SetNOMBRE_ALMACENValue(const aValue: String);
begin
  DataTable.Fields[idx_HistoricoMovimientosNOMBRE_ALMACEN].AsString := aValue;
end;

function THistoricoMovimientosDataTableRules.GetNOMBRE_ALMACENIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosNOMBRE_ALMACEN].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetNOMBRE_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosNOMBRE_ALMACEN].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetID_ARTICULOValue: Integer;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosID_ARTICULO].AsInteger;
end;

procedure THistoricoMovimientosDataTableRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_HistoricoMovimientosID_ARTICULO].AsInteger := aValue;
end;

function THistoricoMovimientosDataTableRules.GetID_ARTICULOIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosID_ARTICULO].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetID_ARTICULOIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosID_ARTICULO].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetFAMILIAValue: String;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosFAMILIA].AsString;
end;

procedure THistoricoMovimientosDataTableRules.SetFAMILIAValue(const aValue: String);
begin
  DataTable.Fields[idx_HistoricoMovimientosFAMILIA].AsString := aValue;
end;

function THistoricoMovimientosDataTableRules.GetFAMILIAIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosFAMILIA].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetFAMILIAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosFAMILIA].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosREFERENCIA].AsString;
end;

procedure THistoricoMovimientosDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_HistoricoMovimientosREFERENCIA].AsString := aValue;
end;

function THistoricoMovimientosDataTableRules.GetREFERENCIAIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosREFERENCIA].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosREFERENCIA].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetREFERENCIA_PROVValue: String;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosREFERENCIA_PROV].AsString;
end;

procedure THistoricoMovimientosDataTableRules.SetREFERENCIA_PROVValue(const aValue: String);
begin
  DataTable.Fields[idx_HistoricoMovimientosREFERENCIA_PROV].AsString := aValue;
end;

function THistoricoMovimientosDataTableRules.GetREFERENCIA_PROVIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosREFERENCIA_PROV].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetREFERENCIA_PROVIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosREFERENCIA_PROV].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosDESCRIPCION].AsString;
end;

procedure THistoricoMovimientosDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_HistoricoMovimientosDESCRIPCION].AsString := aValue;
end;

function THistoricoMovimientosDataTableRules.GetDESCRIPCIONIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosDESCRIPCION].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosDESCRIPCION].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetTIPO_MOVIMIENTOValue: String;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosTIPO_MOVIMIENTO].AsString;
end;

procedure THistoricoMovimientosDataTableRules.SetTIPO_MOVIMIENTOValue(const aValue: String);
begin
  DataTable.Fields[idx_HistoricoMovimientosTIPO_MOVIMIENTO].AsString := aValue;
end;

function THistoricoMovimientosDataTableRules.GetTIPO_MOVIMIENTOIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosTIPO_MOVIMIENTO].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetTIPO_MOVIMIENTOIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosTIPO_MOVIMIENTO].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetCANTIDADValue: Integer;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosCANTIDAD].AsInteger;
end;

procedure THistoricoMovimientosDataTableRules.SetCANTIDADValue(const aValue: Integer);
begin
  DataTable.Fields[idx_HistoricoMovimientosCANTIDAD].AsInteger := aValue;
end;

function THistoricoMovimientosDataTableRules.GetCANTIDADIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosCANTIDAD].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetCANTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosCANTIDAD].AsVariant := Null;
end;

function THistoricoMovimientosDataTableRules.GetCAUSAValue: String;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosCAUSA].AsString;
end;

procedure THistoricoMovimientosDataTableRules.SetCAUSAValue(const aValue: String);
begin
  DataTable.Fields[idx_HistoricoMovimientosCAUSA].AsString := aValue;
end;

function THistoricoMovimientosDataTableRules.GetCAUSAIsNull: boolean;
begin
  result := DataTable.Fields[idx_HistoricoMovimientosCAUSA].IsNull;
end;

procedure THistoricoMovimientosDataTableRules.SetCAUSAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_HistoricoMovimientosCAUSA].AsVariant := Null;
end;


initialization
  RegisterDataTableRules(RID_HistoricoMovimientos, THistoricoMovimientosDataTableRules);

end.
